ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Draw rectangle using ObjectARX

1 REPLY 1
Reply
Message 1 of 2
Anonymous
790 Views, 1 Reply

Draw rectangle using ObjectARX

Hi all, 

 

I am still super new here just joined :smileyhappy:

I have to draw a rectangle using ObjectARX but the problem is that i cannot find a method for the task, I found all kind of other methods like Line, Circle, ..... I managed to do it like that:

 

            Point3d pointA = new Point3d(20,20,0);
            Point3d pointB = new Point3d(40,20,0);
            Point3d pointC = new Point3d(20,10,0);
            Point3d pointD = new Point3d(40,10,0);

            Line line1 = new Line(pointA, pointB);
            Line line2 = new Line(pointA, pointC);
            Line line3 = new Line(pointB, pointD);
But I thnk there must be a way to do it more easily. Can some one please help me or send me a link with some good tutorial(i checked nothing useful) Thank you in advance!

P.S.
I am still new in ObjectARX(started 2 day ago)
1 REPLY 1
Message 2 of 2
owenwengerd
in reply to: Anonymous

Welcome to the forum. I think you should work on ObjectARX tutorials and study the ObjectARX SDK samples before you attempt to write something on your own.

There is no rectangle object in ObjectARX, however the RECTANGLE command in AutoCAD creates a polyline entity (AcDbPolyline or AcDb2dPolyline). A line entity is class AcDbLine. These classes are all documented in the ObjectARX SDK reference.

--
Owen Wengerd
ManuSoft

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost